Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message
Class StreamRequestMessage

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<UpnpRequest>
          org.teleal.cling.model.message.StreamRequestMessage

Direct Known Subclasses:
  IncomingActionRequestMessage, IncomingEventRequestMessage, IncomingSubscribeRequestMessage, IncomingUnsubscribeRequestMessage, OutgoingActionRequestMessage, OutgoingEventRequestMessage, OutgoingRenewalRequestMessage, OutgoingSubscribeRequestMessage, OutgoingUnsubscribeRequestMessage

    public class StreamRequestMessage

extends UpnpMessage<UpnpRequest>

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`StreamRequestMessage(StreamRequestMessage source)`
`StreamRequestMessage(UpnpRequest.Method method, URI uri)`
`StreamRequestMessage(UpnpRequest.Method method, URI uri, byte[] body)`
`StreamRequestMessage(UpnpRequest.Method method, URI uri, String body)`
`StreamRequestMessage(UpnpRequest.Method method, URL url)`
`StreamRequestMessage(UpnpRequest.Method method, URL url, byte[] body)`
`StreamRequestMessage(UpnpRequest.Method method, URL url, String body)`
`StreamRequestMessage(UpnpRequest operation)`
`StreamRequestMessage(UpnpRequest operation, byte[] body)`
`StreamRequestMessage(UpnpRequest operation, String body)`

Method Summary
`URI` | `getUri()`
`boolean` | `hasHostHeader()`
`boolean` | `hasUDATextContentType()`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, logHeaders, setBody, setBodyType, setHeaders, setOperation, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamRequestMessage

    public StreamRequestMessage(StreamRequestMessage source)

### StreamRequestMessage

    public StreamRequestMessage(UpnpRequest operation)

### StreamRequestMessage

    public StreamRequestMessage(UpnpRequest.Method method,
                                URI uri)

### StreamRequestMessage

    public StreamRequestMessage(UpnpRequest.Method method,
                                URL url)

### StreamRequestMessage

    public StreamRequestMessage(UpnpRequest operation,
                                String body)

### StreamRequestMessage

    public StreamRequestMessage(UpnpRequest.Method method,
                                URI uri,
                                String body)

### StreamRequestMessage

    public StreamRequestMessage(UpnpRequest.Method method,
                                URL url,
                                String body)

### StreamRequestMessage

    public StreamRequestMessage(UpnpRequest operation,
                                byte[] body)

### StreamRequestMessage

    public StreamRequestMessage(UpnpRequest.Method method,
                                URI uri,
                                byte[] body)

### StreamRequestMessage

    public StreamRequestMessage(UpnpRequest.Method method,
                                URL url,
                                byte[] body)

Method Detail

### hasUDATextContentType

    public boolean hasUDATextContentType()

### hasHostHeader

    public boolean hasHostHeader()

### getUri

    public URI getUri()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.